Subject: bug#35731: closed (Re: bug#35731: Installer: EBUSY while mounting /mnt/boot/efi)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 May 2019 10:27:04 +0000

Your bug report

#35731: Installer: EBUSY while mounting /mnt/boot/efi

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35731: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35731
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35731: Installer: EBUSY while mounting /mnt/boot/efi
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Wed, 15 May 2019 12:25:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> skribis:
>
>> Sometimes, the installer crashes with the attached backtrace: EBUSY
>> while mounting /mnt/boot/efi.  Strangely, if I go to a console at that
>> point and run ‘mount’, I see that /mnt/boot/efi is already mounted.
>
> More specifically, this happens every time I start from a fresh target
> disk image—i.e., just run ‘qemu-img create …’ before spawning the
> installer VM.
>
> So I’m guessing the ‘partition’ step returns /boot/efi twice in that
> case.

Fixed in 7d567af46b4e10ffafb1d0f76b524f5781460598.

This makes me think that ‘auto-partition’ should probably be called
‘auto-partition!’.

Ludo’.

Subject: Installer: EBUSY while mounting /mnt/boot/efi
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Tue, 14 May 2019 18:38:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I’ve tested the installer in a UEFI setup like this:

  qemu-img create -f qcow2 /tmp/t.img 2G
  $(guix system vm gnu/system/install.scm) -m 256 -net user \
      -hda /tmp/t.img \
      -bios $(guix build ovmf)/share/firmware/ovmf_x64.bin

Sometimes, the installer crashes with the attached backtrace: EBUSY
while mounting /mnt/boot/efi.  Strangely, if I go to a console at that
point and run ‘mount’, I see that /mnt/boot/efi is already mounted.

Thoughts?

Ludo’.